# ShopperTrends-Analyzer

[![Pylint](https://github.com/Dogoh48/ShopperTrends-Analyzer/workflows/Pylint/badge.svg)](https://github.com/Dogoh48/ShopperTrends-Analyzer/actions)

## Description

ShopperTrends-Analyzer is a data analysis and visualization tool designed to provide valuable insights into customer shopping preferences and behavior. With a comprehensive dataset encompassing various customer attributes such as age, gender, purchase history, preferred payment methods, and feedback ratings, ShopperTrends-Analyzer enables businesses to understand their customer base better and make informed decisions to enhance their products and services.

## Features

- **Data Visualization:** Explore customer data through interactive visualizations such as bar charts, pie charts, line charts, scatter plots, histograms, and box plots.
- **Filter Options:** Easily filter the data based on categories, sizes, locations, and seasons to focus on specific segments of interest.
- **Top Items Analysis:** Identify the top-selling items and gain insights into popular colors, sizes, subscription rates, and discount application for each item.
- **Attribute Explorer:** Investigate relationships between different attributes and generate custom visualizations to uncover hidden patterns and trends.
- **Descriptive Statistics:** Access descriptive statistics for various attributes, providing a comprehensive overview of the dataset.

## Design Pattern

ShopperTrends-Analyzer uses the MVC (Model-View-Controller) design pattern, separating the application logic, data, and presentation layers. This architectural approach promotes modularity, scalability, and maintainability.

## Documents 
- [Development Plan](https://github.com/Dogoh48/ShopperTrends-Analyzer/wiki/Development-Plan)
- [Installation](https://github.com/Dogoh48/ShopperTrends-Analyzer/wiki/How-to-Install)
- [UML Diagrams & Sequence Diagrams](https://github.com/Dogoh48/ShopperTrends-Analyzer/wiki/UML-Diagrams-&-Sequence-Diagrams)
- [UI Preview](https://github.com/Dogoh48/ShopperTrends-Analyzer/wiki/UI-Preview)

## Data Source

Credit to Sourav Banerjee, [Customer Shopping Trends Dataset](https://www.kaggle.com/datasets/iamsouravbanerjee/customer-shopping-trends-dataset)
